
 LinHES - Feature # 854: Channel ID to support multiple remote controls

Status: Closed Priority: Normal
Author: RacerX Category: Installation/Upgrade
Created: 10/16/2012 Assignee: jams
Updated: 11/19/2012 Due date:
Description: I would be like to request that support for a Channel ID be added to Remotes Controls.  The SnapStream 

Firefly has the ability to support multiple remote controls through out the house on different computers and 
not conflict over RF because they have a unique channel ID. Here is the info.

http://ubuntuforums.org/showthread.php?t=639123

http://www.mythtv.org/pipermail/mythtv-users/2005-November/108619.html

I have two of them to support a test...

Associated revisions
11/19/2012 03:31 pm - jams
LinHES-config: mv_ir.py add support for remotes needing their own modprode.d/conf file.
refs #854

11/19/2012 03:33 pm - jams
system-templates: add support for firefly using unique id's.  Only includeing 1 -6 because that should be enough for most people and I don't want to 
clutter the remote selector.
If needed expanding it out to all 16 ids will be a trivial process

refs #854

History
10/29/2012 08:28 am - jams
- Assignee set to jams

10/29/2012 09:47 am - jams
RacerX, 
Do you have the lircrc files needed for each channel ID?

10/29/2012 10:29 am - RacerX
There are two key parameters to understand

unique=turns it on or off

0=accept all channel IDs
1=accept only channel IDs set by the mask parameter

mask= channel ID
Example: The setup uses channel ID 5 which is mask-0x0010.  The Snapstrean Firefly RF remote has 16 channel IDs and they are as follows:

Channel ID Mask
1 0x0001
2 0x0002
3 0x0004
4 0x0008
5 0x0010
6 0x0020
7 0x0040
8 0x0080
9 0x0100
10 0x0200
11 0x0400
12 0x0800
13 0x1000
14 0x2000
15 0x4000
16 0x8000 

10/29/2012 10:53 am - RacerX
This would be a Lirc Option 

options lirc_atiusb unique=1 debug=1 mask=0x0010

It would use the stand Firely Lirc Config

10/29/2012 12:20 pm - jams
Right, I was asking if you have the lirc files with the mask already applied for each channel.  If not I can probably create them.

10/29/2012 04:10 pm - RacerX
Sorry

No I don't have any custom ones.  

http://ubuntuforums.org/showthread.php?t=639123

"The remote codes are in HEX, so to count in HEX, it goes like this:

0 1 2 3 4 5 6 7 8 9 A B C D E F
which is equivalent to counting in our standard Decimal
0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15.

So HEX actually has 15 char 0-F, where are standard Decimal system has 0-9."

11/01/2012 02:00 pm - jams
- Target version set to 8.0

11/18/2012 04:01 pm - jams
For now I'm going to limit it to all_channels (default)  and then channels 1 - 6.  Doing this because if all 16 are added, the remote selection combobox 
will grow too large and be difficult to flip though.

I figure 6 channels should be enough for most people, if not it's easy to add the other configs.

11/18/2012 04:02 pm - jams
- % Done changed from 0 to 60

11/18/2012 04:16 pm - RacerX
Sounds good to me thanks for the update.  I currently have three firefly remotes that can be tested...

11/19/2012 03:24 pm - jams
- Category set to Installation/Upgrade

- % Done changed from 60 to 100

- Status changed from New to Closed

Feature has been implemented for channels 1 - 6.
Also included firefly_gen.py in the repo (system-templates) in case anybody wants to reference it to get the other channel conf files.
